extends DamageableBody

# Get the gravity from the project settings to be synced with RigidBody nodes.
var gravity: float = ProjectSettings.get_setting("physics/3d/default_gravity")

var _damage: float = 0.0
var _heat: float = 0.0
var _structure: int = 5


func deal_damage(delta: float) -> void:
	print("yeowch!!")
	_damage += delta


func deal_heat(delta: float) -> void:
	print("mamma mia that's a spicy meatball!")
	_heat += delta


func deal_structure(delta: int) -> void:
	print("ack! structured!")
	_structure += delta


func _physics_process(delta: float) -> void:
	# Add the gravity.
	if not is_on_floor():
		velocity.y -= gravity * delta

	move_and_slide()
